@page {
	size: 5.25in 27in;
	margin: 0;
}

@font-face {
	font-family: 'Open Sans';
	font-weight: 300 800;
	font-stretch: 100%;
	font-display: swap;
	src:
		local("Open Sans"),
		url("./fonts/OpenSans.woff2") format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
	font-family: 'Open Sans';
	font-style: italic;
	font-weight: 300 800;
	font-stretch: 100%;
	font-display: swap;
	src:
		local("Open Sans"),
		url("./fonts/OpenSans-Italic.woff2") format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

* {
	box-sizing: border-box;
}

html {
	background-color: #0f111e;
	--color-bg: #14182d;
	--color-text: white;
	--color-link: #dd89cb;
	--color-box-shadow: #393679;
	--color-separator-1a: #857ce1; /* #e5a96a; */
	--color-separator-1b: #c6f44a; /* #3b9cee; */
	--color-separator-2a: #2299d5; /* #6562c2; */
	--color-separator-2b: #25d9a6; /* #62c2a7; */
	--color-separator-3a: #393679;
	--color-separator-3c: #e5c35d;
	--color-separator-3b: #cd5ad9;

	--layer-height: 10rem;
	--header-overlap: 0.4;
}

@media (max-width: 900px) {
	html {
		background-color: #282543;
	}
}

body {
	margin: 0 auto;
	min-height: 100vh;
	max-width: 900px;
	box-shadow: 10px 0 var(--color-box-shadow), -10px 0 var(--color-box-shadow);
	color: var(--color-text);
	font-family: "Open Sans", sans-serif;
}
#main {
	background-color: var(--color-bg);
}

a {
	color: var(--color-link);
}
a svg {
	color: var(--color-text);
}

section > * {
	margin: 1.5rem 1rem;
}
section > :first-child {
	margin-block-start: 0;
}

#header {
	position: relative;
	color: white;
	background-color: #282543;
	margin: 0;
	margin-bottom: calc(var(--header-overlap) * var(--layer-height));
}
header > * {
	margin-block: 1.5rem;
}

.paua-layers {
	background: url("./images/paua-layers.svg") bottom/cover;
	height: 10rem;
	margin: 0;
}

header .paua-layers {
	position: relative;
	z-index: 1;
	transform: translateY(calc(100% * var(--header-overlap)));
	margin-top: calc(-1 * var(--layer-height));
	background: url("./images/paua-layers-no-bg.svg") bottom/cover;
}

#hero {
	display: block;
	padding: 0;
	margin: 0 auto;
	width: 100%;
	max-width: 100%;
}

h1 {
	font-size: 1rem;
	font-weight: unset;
	line-height: 1.75;
}

#name {
	width: 8em;
	position: relative;
	top: 0.5em;
}

#links {
	display: flex;
	justify-content: center;
	gap: 2em;
	margin-block-start: 0;
}
#links a {
	display: flex;
	align-items: center;
	gap: 0.5em;
	text-decoration: none;
}
.handle {
	font-size: 0.9em;
}
@media (max-width: 600px) {
	.handle {
		display: none;
	}
}

.section-tail {
	width: 100%;
	height: 2rem;
	margin-inline: 0;
	display: block;
}
#photos .section-tail {
	transform: scaleX(-1)
}

ul {
	list-style: none;
	padding: 0;
}
ul li {
	display: flex;
	align-items: center;
	margin-block: 0.5em;
}
#productions li {
	margin-block: 1em;
}
.shell-icon {
	margin-inline-end: 1em;
	width: 1.5em;
}

h2, h3 {
	display: flex;
	align-items: center;
}
h2 .shell-icon, h3 .shell-icon {
	margin-inline-start: 1em;
}

ul li:first-child {
	margin-block-start: 0;
}
ul li:last-child {
	margin-block-end: 0;
}
ul strong {
	font-weight: 600;
}
ul a {
	color: currentColor;
	font-weight: 600;
	text-decoration-thickness: 2px;
}

.photos {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 1em;
	margin-bottom: 1em; /* to blend adjacent iframe with its gap */
}
@media (min-width: 600px) {
	.photos {
		grid-template-columns: 1fr 1fr 1fr;
	}
}

.responsive-iframe {
	position: relative;
	width: calc(100% - 2em);
	max-width: 40em;
	margin: 1em auto;
	display: none;
}
.yet-another-div {
	position: relative;
	height: 0;
	padding-bottom: 56.25%;
}
iframe {
	border: 0;
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	display: none;
}
@media screen {
	.responsive-iframe, iframe {
		display: block;
	}
}

.photo {
	position: relative;
}
.photo img {
	width: 100%;
	height: 100%;
	display: block;
}
.photo img {
	object-fit: cover;
}

#footer {
	position: relative;
	height: 200px;
	display: flex;
	align-items: flex-end;
	padding: 1.5em 2em;
	color: white;
	font-size: 0.9em;
}
#footer .paua-layers {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	transform: rotate(0.5turn);
}
#footer aside {
	z-index: 1;
}
#footer :last-child {
	margin-block-end: 0;
}

.author-link {
	display: none;
	margin: 0;
}
.author-no-link {
	display: block;
	margin: 0;
}

@media screen {
	.author-link {
		display: block;
	}
	.author-no-link {
		display: none;
	}
}
